# Uses of Class
org.eclipse.ecf.core.ContainerConnectException

Packages that use ContainerConnectException
Package
Description
org.eclipse.ecf.core
org.eclipse.ecf.core.sharedobject
org.eclipse.ecf.osgi.services.remoteserviceadmin
org.eclipse.ecf.provider.dnssd
org.eclipse.ecf.provider.generic
org.eclipse.ecf.provider.jslp.container
org.eclipse.ecf.provider.remoteservice.generic
org.eclipse.ecf.provider.zookeeper.core
org.eclipse.ecf.remoteservice
org.eclipse.ecf.remoteservice.client
org.eclipse.ecf.remoteservice.rest.client
org.eclipse.ecf.remoteservice.servlet

## Uses of ContainerConnectException in org.eclipse.ecf.core

Subclasses of ContainerConnectException in org.eclipse.ecf.core
Modifier and Type
Class
Description
`class`
`ContainerAuthenticationException`
Exception class to be thrown upon authentication failure during connect
Methods in org.eclipse.ecf.core that throw ContainerConnectException
Modifier and Type
Method
Description
`void`
BaseContainer.`connect(ID targetID, IConnectContext connectContext)`
`void`
IContainer.`connect(ID targetID, IConnectContext connectContext)`
Connect to a target remote process or process group.
`protected String`
AbstractContainer.`getPasswordFromConnectContext(IConnectContext connectContext)`

## Uses of ContainerConnectException in org.eclipse.ecf.core.sharedobject

Methods in org.eclipse.ecf.core.sharedobject that throw ContainerConnectException
Modifier and Type
Method
Description
`void`
ISharedObjectContext.`connect(ID targetID, IConnectContext connectContext)`
(non-Javadoc)

## Uses of ContainerConnectException in org.eclipse.ecf.osgi.services.remoteserviceadmin

Methods in org.eclipse.ecf.osgi.services.remoteserviceadmin that throw ContainerConnectException
Modifier and Type
Method
Description
`protected void`
AbstractContainerSelector.`connectContainer(IContainer container, ID connectTargetID, IConnectContext connectContext)`
`protected void`
AbstractHostContainerSelector.`connectHostContainer(ServiceReference serviceReference, Map<String,Object> properties, IContainer container, Object target)`

## Uses of ContainerConnectException in org.eclipse.ecf.provider.dnssd

Methods in org.eclipse.ecf.provider.dnssd that throw ContainerConnectException
Modifier and Type
Method
Description
`void`
DnsSdDiscoveryAdvertiser.`connect(ID aTargetID, IConnectContext connectContext)`
`abstract void`
DnsSdDiscoveryContainerAdapter.`connect(ID targetID, IConnectContext connectContext)`
`void`
DnsSdDiscoveryLocator.`connect(ID aTargetID, IConnectContext connectContext)`

## Uses of ContainerConnectException in org.eclipse.ecf.provider.generic

Methods in org.eclipse.ecf.provider.generic that throw ContainerConnectException
Modifier and Type
Method
Description
`void`
ClientSOContainer.`connect(ID targetID, IConnectContext joinContext)`
`void`
ServerSOContainer.`connect(ID groupID, IConnectContext joinContext)`
`abstract void`
SOContainer.`connect(ID groupID, IConnectContext connectContext)`
`void`
SOContext.`connect(ID groupID, IConnectContext joinContext)`

## Uses of ContainerConnectException in org.eclipse.ecf.provider.jslp.container

Methods in org.eclipse.ecf.provider.jslp.container that throw ContainerConnectException
Modifier and Type
Method
Description
`void`
JSLPDiscoveryContainer.`connect(ID aTargetID, IConnectContext connectContext)`

## Uses of ContainerConnectException in org.eclipse.ecf.provider.remoteservice.generic

Methods in org.eclipse.ecf.provider.remoteservice.generic that throw ContainerConnectException
Modifier and Type
Method
Description
`protected void`
RegistrySharedObject.`connectToRemoteServiceTarget(ID targetID)`
`IRemoteServiceReference[]`
RegistrySharedObject.`getRemoteServiceReferences(ID targetID, String clazz, String filter)`
`IRemoteServiceReference[]`
RegistrySharedObject.`getRemoteServiceReferences(ID target, ID[] idFilter, String clazz, String filter)`
`IRemoteServiceReference[]`
RemoteServiceContainer.`getRemoteServiceReferences(ID target, String clazz, String filter)`
`IRemoteServiceReference[]`
RemoteServiceContainer.`getRemoteServiceReferences(ID target, ID[] idFilter, String clazz, String filter)`

## Uses of ContainerConnectException in org.eclipse.ecf.provider.zookeeper.core

Methods in org.eclipse.ecf.provider.zookeeper.core that throw ContainerConnectException
Modifier and Type
Method
Description
`void`
ZooDiscoveryContainer.`connect(ID id, IConnectContext connectContext)`

## Uses of ContainerConnectException in org.eclipse.ecf.remoteservice

Methods in org.eclipse.ecf.remoteservice that throw ContainerConnectException
Modifier and Type
Method
Description
`void`
AbstractRSAContainer.`connect(ID targetID, IConnectContext connectContext)`
`protected void`
RemoteServiceContainerAdapterImpl.`connectToRemoteServiceTarget(ID target)`
`IRemoteService`
IRemoteServiceContainer.`getRemoteService(String targetLocation, String serviceInterfaceClass)`
Get the remote service for given targetLocation and given serviceInterface class.
`IRemoteService`
IRemoteServiceContainer.`getRemoteService(String targetLocation, String serviceInterfaceClass, String filter)`
Get the remote service for given targetLocation and given serviceInterface class.
`IRemoteService`
RemoteServiceContainer.`getRemoteService(String targetLocation, String serviceInterfaceClass)`
`IRemoteService`
RemoteServiceContainer.`getRemoteService(String targetLocation, String serviceInterfaceClass, String filter)`
`IRemoteServiceReference[]`
IRemoteServiceConsumer.`getRemoteServiceReferences(ID target, String clazz, String filter)`
Returns an array of `IRemoteServiceReference` objects.
`IRemoteServiceReference[]`
IRemoteServiceConsumer.`getRemoteServiceReferences(ID target, ID[] idFilter, String clazz, String filter)`
Returns an array of `IRemoteServiceReference` objects.
`IRemoteServiceReference[]`
IRemoteServiceContainerAdapter.`getRemoteServiceReferences(ID target, String clazz, String filter)`
Returns an array of `IRemoteServiceReference` objects.
`IRemoteServiceReference[]`
IRemoteServiceContainerAdapter.`getRemoteServiceReferences(ID target, ID[] idFilter, String clazz, String filter)`
Returns an array of `IRemoteServiceReference` objects.
`IRemoteServiceReference[]`
RemoteServiceContainerAdapterImpl.`getRemoteServiceReferences(ID target, String clazz, String filter)`
`IRemoteServiceReference[]`
RemoteServiceContainerAdapterImpl.`getRemoteServiceReferences(ID target, ID[] idFilter, String clazz, String filter)`
`protected IRemoteServiceReference`
RemoteServiceContainer.`getServiceReference(ID targetId, String serviceInterfaceClass, String filter)`
`IRemoteServiceReference[]`
IRSAConsumerContainerAdapter.`importEndpoint(Map<String,Object> endpointDescriptionProperties)`

## Uses of ContainerConnectException in org.eclipse.ecf.remoteservice.client

Methods in org.eclipse.ecf.remoteservice.client that throw ContainerConnectException
Modifier and Type
Method
Description
`void`
AbstractClientContainer.`connect(ID targetID, IConnectContext connectContext1)`
`protected void`
AbstractRSAClientContainer.`connectToEndpoint(ID connectTargetID)`
`IRemoteServiceReference[]`
AbstractClientContainer.`getRemoteServiceReferences(ID target, String clazz, String filter)`
`IRemoteServiceReference[]`
AbstractClientContainer.`getRemoteServiceReferences(ID target, ID[] idFilter, String clazz, String filter)`
`IRemoteServiceReference[]`
RemoteServiceClientRegistry.`getRemoteServiceReferences(ID target, String clazz, IRemoteFilter remoteFilter)`
`IRemoteServiceReference[]`
RemoteServiceClientRegistry.`getRemoteServiceReferences(ID target, ID[] idFilter, String clazz, IRemoteFilter filter)`
`IRemoteServiceReference[]`
AbstractRSAClientContainer.`importEndpoint(Map<String,Object> endpointDescriptionProperties)`

## Uses of ContainerConnectException in org.eclipse.ecf.remoteservice.rest.client

Methods in org.eclipse.ecf.remoteservice.rest.client that throw ContainerConnectException
Modifier and Type
Method
Description
`IRemoteServiceReference[]`
AbstractRestClientContainer.`getRemoteServiceReferences(ID target, String clazz, String filter)`
`IRemoteServiceReference[]`
AbstractRestClientContainer.`getRemoteServiceReferences(ID target, ID[] idFilter, String clazz, String filter)`

## Uses of ContainerConnectException in org.eclipse.ecf.remoteservice.servlet

Methods in org.eclipse.ecf.remoteservice.servlet that throw ContainerConnectException
Modifier and Type
Method
Description
`IRemoteServiceReference[]`
ServletServerContainer.`getRemoteServiceReferences(ID target, String clazz, String filter)`
`IRemoteServiceReference[]`
ServletServerContainer.`getRemoteServiceReferences(ID target, ID[] idFilter, String clazz, String filter)`